Bug 1071677 - [doc] faq suggests it's a good idea to install rawhide packages on stable releases
Summary: [doc] faq suggests it's a good idea to install rawhide packages on stable rel...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
low
unspecified
Target Milestone: ---
Assignee: packaging-team-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-02 19:27 UTC by Kevin Fenzi
Modified: 2014-03-08 03:35 UTC (History)
4 users (show)

Fixed In Version: dnf-0.4.17-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-08 03:35:56 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kevin Fenzi 2014-03-02 19:27:32 UTC
http://akozumpl.github.io/dnf/user_faq.html#for-my-stable-fedora-release-can-i-install-the-rawhide-packages-for-testing-purposes

While sometimes with some packages this works fine, many other times this leads to people who don't understand pulling in large piles of rawhide packages mixed with their stable release and breaking all kinds of things. 

I don't think you should be advising doing this there, or at the very least you should add a large warning that mixing rawhide and stable releases could break all kinds of things. This is why we split the rawhide repos out... people were installing random stuff from rawhide and breaking their systems and getting upset. ;)

Comment 1 Ales Kozumplik 2014-03-03 06:50:58 UTC
Thanks for the report, we'll take a look.

Comment 2 Ales Kozumplik 2014-03-05 09:46:49 UTC
Added upstream by 6b57c91.

Comment 3 Fedora Update System 2014-03-05 12:57:48 UTC
dnf-0.4.17-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.17-1.fc20

Comment 4 Fedora Update System 2014-03-06 08:14:57 UTC
Package dnf-0.4.17-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.4.17-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3465/dnf-0.4.17-1.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-03-08 03:35:56 UTC
dnf-0.4.17-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.